import { atomFamily } from 'recoil';

/**
 * Atom family for storing the county-level results of an individual contest.
 * The family key is the contest ID.
 *
 * ```
 * {
 *   id: ContestId;
 *   counties: ContestCountyResults[];
 * }
 * ```
 *
 * NOTE: This atom is a multi-source atom, meaning that you should not use the
 * atom directly. It is a stub for the `contestCountyResults` selector.
 */
const contestCountyResults = atomFamily({
  key: 'int-style.election.atoms.contestCountyResults',
  default: undefined
});
export default contestCountyResults;