/**
 * Text formatting and icon options for the flip tag
 *
 * @property {object} text - The text displayed for each party at each `ContestInfoTag` size
 * @property {object} icon  - The icon displayed for each party at each `ContestInfoTag` size
 * @property {object} iconSize  - The icon size at each `ContestInfoTag` size

 */

const shortText = 'Flip';
const defaultGOPText = 'GOP Flip';
const defaultDemText = 'Dem Flip';
export default {
  dem: {
    text: {
      '000': shortText,
      100: shortText,
      200: defaultDemText,
      300: defaultDemText,
      400: defaultDemText,
      500: defaultDemText
    },
    icon: 'OutcomeFlipToDem'
  },
  gop: {
    text: {
      '000': shortText,
      100: shortText,
      200: defaultGOPText,
      300: defaultGOPText,
      400: defaultGOPText,
      500: defaultGOPText
    },
    icon: 'OutcomeFlipToGop'
  },
  iconSizes: {
    '000': '2',
    100: '3',
    200: '3',
    300: '3',
    400: '4',
    500: '4'
  }
};