import cx from "../../../../../utils/css/cx.js";
import formatNumber from "../../../../../utils/election/formatNumber/index.js";
import { useContainerBreakpointIsAtMost } from "../../../../../hooks/breakpoint/index.js";
import { IfActive } from "../../../../application/index.js";
import classes from './styles.module.scss';
const cls = cx.merge(classes);
const HeadingThreshold = function HeadingThreshold(props) {
  const {
    delegates,
    anyMetThreshold
  } = props;
  const {
    threshold
  } = delegates;
  const isAtMostXs = useContainerBreakpointIsAtMost('xs');
  return <th className={cls('heading-threshold')} aria-label="Delegates Won Visualization">
      <IfActive active={threshold && !anyMetThreshold}>
        <span>{formatNumber(threshold)}</span>
        <IfActive active={isAtMostXs}>
          <br />
        </IfActive>
        <span> threshold</span>
      </IfActive>
    </th>;
};
export default HeadingThreshold;