import { useState } from 'react';
import PropTypes from 'prop-types';
import ElectionToggle from "../../ElectionToggle/index.jsx";
const Toggle = function Toggle(props) {
  const {
    node,
    components,
    LayoutNode
  } = props;
  const [activeTabIndex, setActiveTabIndex] = useState(0);
  const {
    nodes
  } = node;
  const activeTab = nodes[activeTabIndex];
  const tabs = nodes.map(tab => ({
    id: tab.id,
    label: tab.label
  }));
  return <div>
      <ElectionToggle tabs={tabs} activeTabIndex={activeTabIndex} setActiveTabIndex={setActiveTabIndex} />
      {activeTab.nodes.map(childNode => <LayoutNode key={childNode.id} node={childNode} components={components} />)}
    </div>;
};
Toggle.defaultProps = {
  components: undefined
};
Toggle.propTypes = {
  node: PropTypes.shape({
    nodes: PropTypes.arrayOf(PropTypes.shape({
      id: PropTypes.string.isRequired,
      label: PropTypes.string.isRequired,
      nodes: PropTypes.arrayOf(PropTypes.shape({
        id: PropTypes.string.isRequired
      }))
    })).isRequired
  }).isRequired,
  components: PropTypes.shape({}),
  LayoutNode: PropTypes.elementType.isRequired
};
export default Toggle;