import EventType from '../../EventType';
import ConventionEvent from './ConventionEvent';
import ElectionEvent from './ElectionEvent';
import classes from './styles.module.scss';
const Calendar = function Calendar(props) {
  const {
    eventsByDay,
    specialDates,
    demConventionReporterNote,
    gopConventionReporterNote,
    office,
    tracking
  } = props;
  return <div>
      <div className={classes.container}>
        {eventsByDay.map(([day, events]) => <div className={classes.day} key={day}>
            <EventType components={{
          Election: ElectionEvent,
          Convention: ConventionEvent
        }} day={day} events={events} specialDates={specialDates} demConventionReporterNote={demConventionReporterNote} gopConventionReporterNote={gopConventionReporterNote} office={office} tracking={tracking} />
          </div>)}
      </div>
    </div>;
};
export default Calendar;