import ElectionCaretLink from "../../ElectionCaretLink/index.js";
import PartyTags from "../../PartyTags/index.js";
import cx from "../../../../utils/css/cx.js";
import classes from './styles.module.scss';
const cls = cx.merge(classes);
const StateLink = function StateLink(props) {
  const {
    state,
    stateFips,
    parties,
    office,
    tracking
  } = props;
  return <div className={cls('state')}>
      <PartyTags parties={parties} />
      <ElectionCaretLink className={cls('title')} to={`state:${stateFips}:${office}`} unstyled tracking={tracking} text={state} />
    </div>;
};
StateLink.defaultProps = {
  office: 'index'
};
export default StateLink;