import PropTypes from 'prop-types';
import ResultsVoteIn from "../../ResultsVoteIn/index.js";
import ContestIncumbentLabel from "../../ContestIncumbentLabel/index.jsx";
import IfActive from "../../../application/IfActive/index.js";
import classnames from 'classnames';
import ContestRecountStatus from "../../ContestRecountStatus/index.js";
import classes from './styles.module.scss';
import { useResultsTableFormatContext } from '../context';
import typography from '../typography.module.scss';
const Footer = function Footer(props) {
  const {
    id
  } = props;
  const {
    showRecountStatus,
    voteInFormat,
    size
  } = useResultsTableFormatContext();
  return <tfoot>
      <tr>
        <td colSpan="100">
          <span className={classnames(classes.container, classes[size])}>
            <p className={classes.leftContainer}>
              <span className={typography.label}>
                <ContestIncumbentLabel id={id} />
              </span>
            </p>

            <p className={classnames(classes.rightContainer, typography.label)}>
              <IfActive active={showRecountStatus}>
                <ContestRecountStatus id={id} />

              </IfActive>

              <ResultsVoteIn id={id} format={voteInFormat} />
            </p>
          </span>
        </td>
      </tr>
    </tfoot>;
};
Footer.defaultProps = {};
Footer.propTypes = {
  id: PropTypes.string.isRequired
};
export default Footer;