import Card from "../../../structure/Card/index.js";
import ResultsTable from "../../ResultsTable/index.js";
import classes from './styles.module.scss';
const CountyTooltip = function CountyTooltip(props) {
  const {
    code,
    name,
    colors
  } = props;
  const config = colors.fipsToPalette.get(code);
  if (!config) return null;
  return <Card edge="sharp" shadow="100" padding={{
    x: '2',
    y: '1'
  }}>
      <div className={classes.content}>
        <div className={classes.countyName}>
          {name}
        </div>
        <ResultsTable id={config.id} format="condensed" />
      </div>
    </Card>;
};
export default CountyTooltip;