import PropTypes from 'prop-types';
import ElectionLink from "../../../../ElectionLink/index.js";
import classes from './styles.module.scss';
const Name = function Name(props) {
  const {
    name: nameData
  } = props;
  const nameAndUrl = typeof nameData === 'string' ? {
    name: nameData
  } : nameData;
  const {
    name,
    url
  } = nameAndUrl;
  return <span className={classes.name}>
      <ElectionLink to={url}>
        {name}
      </ElectionLink>
    </span>;
};
Name.propTypes = {
  name: PropTypes.oneOfType([PropTypes.string, PropTypes.shape({
    name: PropTypes.string,
    tagline: PropTypes.string,
    link: PropTypes.string
  })]).isRequired
};
export default Name;