import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M24.3,181.2L35.5,171.6L29.1,163.8L27.7,149.4L34.4,143.8L34.4,128.9L47.6,116.2L32.2,91.7L34.4,81.3L30.2,43.2L41.8,42L48.7,46.8L52.2,40.2L52.8,8.5L139.9,9.2L210.1,8L216.2,230.7L148.2,232L72.6,204L23.8,185.1Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Arizona = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Arizona.displayName = 'Arizona';
const ArizonaWithColor = withColor(Arizona);
ArizonaWithColor.stateFips = '04';
export default ArizonaWithColor;