import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M9.8,139L14,38.9L100.4,41L140.8,41L225.5,38.9L232,199.3L158.5,201.1L77.6,201.1L8,199Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Colorado = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Colorado.displayName = 'Colorado';
const ColoradoWithColor = withColor(Colorado);
ColoradoWithColor.stateFips = '08';
export default ColoradoWithColor;