import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M11.7,181.8L36.6,167L28.8,154.2L37.2,38.1L110.4,40.4L114.7,46.3L123.2,40.5L230.2,41.8L232,87.9L231.6,135.3L221.5,147.8L192.8,153.8L185,151.3L163.6,159.7L161.4,157.2L145,161.6L139.2,158.8L120.4,163L117.4,159.4L106.3,162.8L100,160.3L83.3,170.2L77.4,177.5L69,175.7L62.1,181.9L49.3,183.9L43.4,192.6L38.1,191.9L16,201.9L8,184Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Connecticut = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Connecticut.displayName = 'Connecticut';
const ConnecticutWithColor = withColor(Connecticut);
ConnecticutWithColor.stateFips = '09';
export default ConnecticutWithColor;