import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M30.1,75.2L97.4,8L209.9,120.8L99.1,232L99,148L55.3,108.3Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const DistrictOfColumbia = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
DistrictOfColumbia.displayName = 'DistrictOfColumbia';
const DistrictOfColumbiaWithColor = withColor(DistrictOfColumbia);
DistrictOfColumbiaWithColor.stateFips = '11';
export default DistrictOfColumbiaWithColor;