import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M56.7,102L62.2,85.2L69.1,82.9L74.5,71.5L69.7,59.3L72.5,52.2L93.7,45.3L98.6,36.6L99.3,24.6L84.9,8L170.8,8.4L169.9,16.2L179.8,39.7L181.7,136.9L178.4,144.4L183.3,161.1L173,179.7L168.7,182.7L166.2,213.4L153.1,217.2L152.9,230.8L138,224.4L124,232L118.9,222.2L121.8,217.1L118.7,205.2L96.3,188.9L91.4,179.4L99.9,158L82.6,154.9L80.4,141.1L60.6,121.4Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Illinois = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Illinois.displayName = 'Illinois';
const IllinoisWithColor = withColor(Illinois);
IllinoisWithColor.stateFips = '17';
export default IllinoisWithColor;