import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M51.4,182.3L55.9,181.3L57.9,165.9L75.3,143.6L79.9,132.4L70.8,112L74.2,104.5L70.1,96.9L74.5,90.7L68.9,76.7L81.8,53.6L81.8,44.4L94.2,35.6L93.8,26.2L104.6,8.5L185.4,8L189.4,12.8L177,151.4L181,224.5L177.9,226.8L160.8,223.6L132,232L122.8,208.2L127.1,195.3L50.6,194.8Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Mississippi = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Mississippi.displayName = 'Mississippi';
const MississippiWithColor = withColor(Mississippi);
MississippiWithColor.stateFips = '28';
export default MississippiWithColor;