import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M10.1,55.8L51.9,58.5L91,59.7L135.5,59.8L188,58.1L223.6,55.8L232,164L189.4,166.8L146.5,168.1L97.7,168.2L97.4,182.5L92.2,175.7L82.8,181.3L73.6,179.5L61.9,184.2L42.5,147.5L32.2,150.8L37.3,121.6L26.1,114.9L13,99.1L8,82.9Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Montana = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Montana.displayName = 'Montana';
const MontanaWithColor = withColor(Montana);
MontanaWithColor.stateFips = '30';
export default MontanaWithColor;