import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M61.8,217.2L68.9,205.4L73.5,156.5L85.8,136.5L95,111.3L94.5,95L108.5,89.9L123.2,77.1L124.9,66.3L120.3,56L128.3,41.9L126.1,36.4L133.7,17.3L141,8.4L147.1,13.6L153.1,8L156.3,56.8L161,156.9L160.4,173.6L171.2,187.1L170.3,194.7L178.2,200.6L171.2,216.7L157.8,218L141.3,232L67.8,229.2Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const NewHampshire = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
NewHampshire.displayName = 'NewHampshire';
const NewHampshireWithColor = withColor(NewHampshire);
NewHampshireWithColor.stateFips = '33';
export default NewHampshireWithColor;