import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M14.2,52.9L66,54.9L131,55.5L206.9,53.7L211.1,67.9L210.7,89.4L220.2,114.7L223.8,154.9L230.1,168.3L232,184.7L144.4,187.1L52.7,186L8,184.3Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const NorthDakota = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
NorthDakota.displayName = 'NorthDakota';
const NorthDakotaWithColor = withColor(NorthDakota);
NorthDakotaWithColor.stateFips = '38';
export default NorthDakotaWithColor;