import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8,167.8L18.3,140.6L28.1,79.5L30.5,47.4L29.3,37.4L43.2,36.6L52.8,40.2L60.6,49.1L61.4,60L75.1,65.6L95,58.9L104.4,63.6L120.4,58.3L130.7,59L147.1,51.4L163.5,48.1L219.1,46.5L232,60.6L223.2,87.6L213.1,105.5L213.7,112.8L222.8,117.6L219.8,130.6L222.7,201L172.4,202.9L122.8,203.4L16.2,200.8L10.9,190.8L11.6,175.1Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Oregon = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Oregon.displayName = 'Oregon';
const OregonWithColor = withColor(Oregon);
OregonWithColor.stateFips = '41';
export default OregonWithColor;