import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M10,123.1L11.8,69.2L40.5,55.3L40.2,69L120.8,69.9L205.7,69.2L214.5,76.6L219.9,93.8L229.4,97L223.4,110.9L215,119.9L213.5,140.7L232,161.1L205.7,179.6L199.7,177.9L191.9,183.9L144.8,184.7L48.4,184L8,182.8Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Pennsylvania = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Pennsylvania.displayName = 'Pennsylvania';
const PennsylvaniaWithColor = withColor(Pennsylvania);
PennsylvaniaWithColor.stateFips = '42';
export default PennsylvaniaWithColor;