import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8,56.4L19.6,41.3L52,30.5L115,34L127.1,46L126.4,52.3L178.3,53L232,105.8L221.3,110.7L204.6,131.6L201.1,145.6L194.4,154.1L186.7,152.6L184.6,158.8L164.3,177.1L148.4,184.4L142.3,183.5L142.9,193L136.1,196L122.4,209.5L111.5,205.1L107.6,185.2L98.1,177.3L93.2,154.2L81.3,146.4L73,135.5L73.4,128.8L62.4,120.3L55,108.5L44.2,101.2L37,89.7L29.9,71.3L21.9,70Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const SouthCarolina = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
SouthCarolina.displayName = 'SouthCarolina';
const SouthCarolinaWithColor = withColor(SouthCarolina);
SouthCarolinaWithColor.stateFips = '45';
export default SouthCarolinaWithColor;