import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M31.4,203.8L37.2,8L136.6,8.8L136.9,53.5L204.1,52.3L207.2,173.9L209.3,230.8L129.6,232L30.7,230.8Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Utah = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Utah.displayName = 'Utah';
const UtahWithColor = withColor(Utah);
UtahWithColor.stateFips = '49';
export default UtahWithColor;