import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M53.2,97.4L60.3,82L62.1,64.1L55.6,46.5L59.6,28.7L56.5,23.3L59.3,8.3L128,9.1L186.6,8L187.2,17.9L178.2,34.1L183.5,45.8L181.7,58.1L165.2,72.8L149.3,78.9L150,97.3L139.9,126.2L126,149.1L124.4,174L120.9,190.3L121.4,204.9L115.2,209.7L114.6,224.4L120.4,232L62.5,229.9L61.6,221.3L64.9,152.7L58.9,143.8L54,149.4L52.8,140.5L57.4,129.6L54.7,125Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Vermont = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Vermont.displayName = 'Vermont';
const VermontWithColor = withColor(Vermont);
VermontWithColor.stateFips = '50';
export default VermontWithColor;