import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M50.1,60.8L58.6,56.5L63.9,62.1L61.9,71.9L52.5,68.4ZM8,71.7L26.5,81.3L55.9,86L62.8,84L66.6,65.3L63.8,47.7L140.2,48.4L222.4,46L227.4,152.6L232,172.5L171.3,174.6L153.3,178.3L135.5,186.7L124.2,185.9L106.7,191.8L96.5,186.6L74.8,194L59.8,187.9L59,176.1L50.4,166.4L45.5,167.9L33.5,160.7L22.3,161.9L23.2,142.2L15.4,101.4L8.6,89.5Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Washington = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Washington.displayName = 'Washington';
const WashingtonWithColor = withColor(Washington);
WashingtonWithColor.stateFips = '53';
export default WashingtonWithColor;