import classnames from 'classnames';
import { IconX } from "../../../icons/index.js";
import styles from './styles.module.scss';
const Controls = function Controls(props) {
  const {
    zoomIn,
    zoomOut,
    zoomReset,
    zoomLevel
  } = props;
  const zoomedIn = zoomLevel > 0;
  return <div className={styles.container}>

      <button type="button" className={classnames(styles.button, styles.top, {
      [styles.hidden]: !zoomedIn
    })} onClick={zoomReset}>
        <IconX color="gray-50" size="8px" />
      </button>

      <button type="button" className={classnames(styles.button, {
      [styles.middle]: zoomedIn,
      [styles.top]: !zoomedIn
    })} onClick={zoomIn}>
        +
      </button>

      <button type="button" className={classnames(styles.button, styles.bottom)} onClick={zoomOut}>
        -
      </button>
    </div>;
};
export default Controls;