/**
 * Utility to evaluate an optionally dynamic custom class which can be provided
 * either as a string or as a function that will be called with the shape's
 * properties and return a string.
 *
 * @param {string|function(Object):string} [customClass]
 * @param {Object} properties
 * @returns {string}
 */
const getCustomClass = function getCustomClass(customClass, properties) {
  if (typeof customClass === 'function') return customClass(properties);
  return customClass;
};
export default getCustomClass;