export const defaultPalette = {
  bgDefault: 'gray-10',
  fgDefault: 'gray-100',
  fgDefaultMuted: 'warmgray-50',
  bgInverse: 'gray-50',
  fgInverse: 'white',
  inlineViz: 'gray-50',
  leadingPinstripe: 'warmgray-50',
  leadingBg: 'warmgray-20',
  main: 'gray-50'
};
export const palettes = {
  dem: {
    bgDefault: 'dem-10',
    bgInverse: 'dem-60',
    fgInverse: 'white',
    fgColored: 'dem-70',
    inlineViz: 'dem-50',
    leadingPinstripe: 'dem-50',
    leadingBg: 'dem-20',
    main: 'dem-50'
  },
  gop: {
    bgDefault: 'gop-10',
    bgInverse: 'gop-60',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-70',
    inlineViz: 'gop-50',
    leadingPinstripe: 'gop-50',
    leadingBg: 'gop-20',
    main: 'gop-50'
  },
  independent: {
    bgDefault: 'teal-10',
    bgInverse: 'teal-60',
    fgInverse: 'warmgray-100',
    fgColored: 'teal-70',
    inlineViz: 'teal-50',
    leadingPinstripe: 'teal-50',
    leadingBg: 'teal-20',
    main: 'teal-50'
  },
  'other-party': {
    bgDefault: 'warmgray-10',
    bgInverse: 'warmgray-60',
    fgInverse: 'warmgray-100',
    fgColored: 'warmgray-70',
    inlineViz: 'warmgray-50',
    leadingPinstripe: 'warmgray-50',
    leadingBg: 'warmgray-20',
    main: 'warmgray-50'
  },
  'ballot-yes': {
    bgDefault: 'ballot-yes-10',
    bgInverse: 'ballot-yes-40',
    fgInverse: 'warmgray-100',
    fgColored: 'ballot-yes-40',
    inlineViz: 'ballot-yes-30',
    leadingPinstripe: 'ballot-yes-40',
    leadingBg: 'ballot-yes-20',
    main: 'ballot-yes-30'
  },
  'ballot-no': {
    bgDefault: 'ballot-no-10',
    bgInverse: 'ballot-no-40',
    fgInverse: 'warmgray-100',
    fgColored: 'ballot-no-40',
    inlineViz: 'ballot-no-30',
    leadingPinstripe: 'ballot-no-40',
    leadingBg: 'ballot-no-20',
    main: 'ballot-no-30'
  },
  'dem-alt01': {
    bgDefault: 'dem-alt01-10',
    bgInverse: 'dem-alt01-30',
    fgInverse: 'white',
    fgColored: 'dem-alt01-30',
    inlineViz: 'dem-alt01-30',
    leadingPinstripe: 'dem-alt01-40',
    leadingBg: 'dem-alt01-20',
    main: 'dem-alt01-30'
  },
  'dem-alt02': {
    bgDefault: 'dem-alt02-10',
    bgInverse: 'dem-alt02-40',
    fgColored: 'dem-alt02-40',
    fgInverse: 'white',
    inlineViz: 'dem-alt02-40',
    leadingPinstripe: 'dem-alt02-40',
    leadingBg: 'dem-alt02-20',
    main: 'dem-alt02-40'
  },
  'dem-alt03': {
    bgDefault: 'dem-alt03-10',
    bgInverse: 'dem-alt03-30',
    fgInverse: 'warmgray-100',
    fgColored: 'dem-alt03-30',
    inlineViz: 'dem-alt03-30',
    leadingPinstripe: 'dem-alt03-40',
    leadingBg: 'dem-alt03-20',
    main: 'dem-alt03-30'
  },
  'dem-alt04': {
    bgDefault: 'dem-alt04-10',
    bgInverse: 'dem-alt04-30',
    fgInverse: 'warmgray-100',
    fgColored: 'dem-alt04-30',
    inlineViz: 'dem-alt04-20',
    leadingPinstripe: 'dem-alt04-40',
    leadingBg: 'dem-alt04-20',
    main: 'dem-alt04-20'
  },
  'dem-alt05': {
    bgDefault: 'dem-alt05-10',
    bgInverse: 'dem-alt05-40',
    fgInverse: 'white',
    fgColored: 'dem-alt05-40',
    inlineViz: 'dem-alt05-40',
    leadingPinstripe: 'dem-alt05-40',
    leadingBg: 'dem-alt05-20',
    main: 'dem-alt05-40'
  },
  'dem-alt06': {
    bgDefault: 'dem-alt06-10',
    bgInverse: 'dem-alt06-40',
    fgInverse: 'warmgray-100',
    fgColored: 'dem-alt06-40',
    inlineViz: 'dem-alt06-30',
    leadingPinstripe: 'dem-alt06-40',
    leadingBg: 'dem-alt06-20',
    main: 'dem-alt06-30'
  },
  'dem-alt07': {
    bgDefault: 'dem-alt07-10',
    bgInverse: 'dem-alt07-30',
    fgInverse: 'warmgray-100',
    fgColored: 'dem-alt07-30',
    inlineViz: 'dem-alt07-30',
    leadingPinstripe: 'dem-alt07-40',
    leadingBg: 'dem-alt07-20',
    main: 'dem-alt07-30'
  },
  'dem-alt08': {
    bgDefault: 'dem-alt08-10',
    bgInverse: 'dem-alt08-30',
    fgInverse: 'white',
    fgColored: 'dem-alt08-30',
    inlineViz: 'dem-alt08-30',
    leadingPinstripe: 'dem-alt08-40',
    leadingBg: 'dem-alt08-20',
    main: 'dem-alt08-30'
  },
  'dem-alt09': {
    bgDefault: 'dem-alt09-10',
    bgInverse: 'dem-alt09-40',
    fgInverse: 'warmgray-100',
    fgColored: 'dem-alt09-40',
    inlineViz: 'dem-alt09-30',
    leadingPinstripe: 'dem-alt09-40',
    leadingBg: 'dem-alt09-20',
    main: 'dem-alt09-30'
  },
  'dem-alt10': {
    bgDefault: 'dem-alt10-10',
    bgInverse: 'dem-alt10-30',
    fgInverse: 'warmgray-100',
    fgColored: 'dem-alt10-30',
    inlineViz: 'dem-alt10-30',
    leadingPinstripe: 'dem-alt10-40',
    leadingBg: 'dem-alt10-20',
    main: 'dem-alt10-30'
  },
  'gop-alt01': {
    bgDefault: 'gop-alt01-10',
    bgInverse: 'gop-alt01-30',
    fgInverse: 'white',
    fgColored: 'gop-alt01-30',
    inlineViz: 'gop-alt01-30',
    leadingPinstripe: 'gop-alt01-40',
    leadingBg: 'gop-alt01-20',
    main: 'gop-alt01-30'
  },
  'gop-alt02': {
    bgDefault: 'gop-alt02-10',
    bgInverse: 'gop-alt02-40',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-alt02-40',
    inlineViz: 'gop-alt02-30',
    leadingPinstripe: 'gop-alt02-40',
    leadingBg: 'gop-alt02-20',
    main: 'gop-alt02-30'
  },
  'gop-alt03': {
    bgDefault: 'gop-alt03-10',
    bgInverse: 'gop-alt03-30',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-alt03-30',
    inlineViz: 'gop-alt03-30',
    leadingPinstripe: 'gop-alt03-40',
    leadingBg: 'gop-alt03-20',
    main: 'gop-alt03-30'
  },
  'gop-alt04': {
    bgDefault: 'gop-alt04-10',
    bgInverse: 'gop-alt04-40',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-alt04-40',
    inlineViz: 'gop-alt04-30',
    leadingPinstripe: 'gop-alt04-40',
    leadingBg: 'gop-alt04-20',
    main: 'gop-alt04-30'
  },
  'gop-alt05': {
    bgDefault: 'gop-alt05-10',
    bgInverse: 'gop-alt05-40',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-alt05-40',
    inlineViz: 'gop-alt05-30',
    leadingPinstripe: 'gop-alt05-40',
    leadingBg: 'gop-alt05-20',
    main: 'gop-alt05-30'
  },
  'gop-alt06': {
    bgDefault: 'gop-alt06-10',
    bgInverse: 'gop-alt06-40',
    fgInverse: 'white',
    fgColored: 'gop-alt06-40',
    inlineViz: 'gop-alt06-30',
    leadingPinstripe: 'gop-alt06-40',
    leadingBg: 'gop-alt06-20',
    main: 'gop-alt06-30'
  },
  'gop-alt07': {
    bgDefault: 'gop-alt07-10',
    bgInverse: 'gop-alt07-30',
    fgInverse: 'white',
    fgColored: 'gop-alt07-30',
    inlineViz: 'gop-alt07-30',
    leadingPinstripe: 'gop-alt07-40',
    leadingBg: 'gop-alt07-20',
    main: 'gop-alt07-30'
  },
  'gop-alt08': {
    bgDefault: 'gop-alt08-10',
    bgInverse: 'gop-alt08-30',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-alt08-30',
    inlineViz: 'gop-alt08-30',
    leadingPinstripe: 'gop-alt08-40',
    leadingBg: 'gop-alt08-20',
    main: 'gop-alt08-30'
  },
  'gop-alt09': {
    bgDefault: 'gop-alt09-10',
    bgInverse: 'gop-alt09-40',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-alt09-40',
    inlineViz: 'gop-alt09-30',
    leadingPinstripe: 'gop-alt09-40',
    leadingBg: 'gop-alt09-20',
    main: 'gop-alt09-30'
  },
  'gop-alt10': {
    bgDefault: 'gop-alt10-10',
    bgInverse: 'gop-alt10-30',
    fgInverse: 'warmgray-100',
    fgColored: 'gop-alt10-30',
    inlineViz: 'gop-alt10-30',
    leadingPinstripe: 'gop-alt10-40',
    leadingBg: 'gop-alt10-20',
    main: 'gop-alt10-30'
  },
  fallback: defaultPalette
};
export const demAltPalettes = Object.keys(palettes).filter(key => key.startsWith('dem-alt'));
export const gopAltPalettes = Object.keys(palettes).filter(key => key.startsWith('gop-alt'));